INCLUDE "font.inc"
INCLUDE "game.inc"
INCLUDE "hardware.inc"

SECTION "Font Data", ROM0

fontTiles:: FONT_TILE_DATA
fontTilesEnd::

SECTION "Font Code", ROM0

Font_Init::
    ; copy font to tile VRAM. font data must be doubled to render correctly
    ld hl, _VRAM + TILE_INDEX_FONT * TILE_SIZE
    ld de, fontTiles
    ld bc, fontTilesEnd - fontTiles
.loop:
    ld a, [de]
    ld [hli], a
    ld [hli], a
    inc de
    dec bc
    ld a, b
    or c
    jr nz, .loop
    ret
